Bug 823334 - Review Request: rubygem-mixlib-config - class-based config mixin for ruby scripts
Review Request: rubygem-mixlib-config - class-based config mixin for ruby scr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 823344 823352
  Show dependency treegraph
 
Reported: 2012-05-20 19:56 EDT by Jonas Courteau
Modified: 2013-01-23 11:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 11:06:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonas Courteau 2012-05-20 19:56:58 EDT
Spec URL: https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-mixlib-config/rubygem-mixlib-config.spec
SRPM URL: http://rpms.courteau.org/fedora/rubygem-mixlib-config-1.1.2-1.fc17.src.rpm

Description: A class based config mixin, similar to the one found in Chef.

This is part of a set of dependencies for rubygem-chef.  I've got about 14 packages to add, all ruby gems, and am looking for a sponsor.  Several of the packages were previously in Fedora (F11 and F12), but were removed due to lack of a maintainer.
Comment 1 Josef Stribny 2012-12-14 09:56:02 EST
* Remove Requires: ruby for other Ruby interpretations to be used with in f19

* Rakefile, NOTICE and README.rdoc are not require during runtime
  - Please consider moving them into the -doc subpackage

* Please consider moving specs into the -doc subpackage rather than exclude them

* I would suggest you to also exclude %{gem_cache} as it's not needed

* Running rspec -Ilib spec/mixlib/config_spec.rb prints a lot (a lot!) of stuff.
  - I believe it would be nice to supress it [1]

[1] http://stackoverflow.com/questions/1496019/suppresing-output-to-console-with-ruby

@Julian C. Dunn: Adding you to CC. Would you mind to take over this package?
Comment 2 Julian C. Dunn 2012-12-24 18:12:52 EST
Hi Josef,

I have fixed the package in accordance with your suggestions and the revised one is here:

http://jdunn.fedorapeople.org/rubygem-mixlib-config/rubygem-mixlib-config-1.1.2-2.fc19.src.rpm
http://jdunn.fedorapeople.org/rubygem-mixlib-config/rubygem-mixlib-config.spec

The chatty test output was already fixed upstream in master but not yet released. I have applied the same patch.

Could you review at your convenience?
Comment 3 Michael Scherer 2012-12-30 18:35:54 EST
So except the patch not documented, the package is good and approved. Can you make sure this is documented before importing ?

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- The patch should be documented in the spec, if ti come from upstream, etc


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in
     /home/misc/checkout/git/FedoraReview/823334-rubygem-mixlib-
     config/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package contains Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %{gem_spec}, %exclude
     %{gem_cache}, %doc %{gem_docdir}, %{gem_libdir}
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-mixlib-config-1.1.2-2.fc18.noarch.rpm
          rubygem-mixlib-config-doc-1.1.2-2.fc18.noarch.rpm
rubygem-mixlib-config-doc.noarch: E: zero-length /usr/share/gems/gems/mixlib-config-1.1.2/features/step_definitions/mixlib_config_steps.rb
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-mixlib-config-doc rubygem-mixlib-config
rubygem-mixlib-config-doc.noarch: E: zero-length /usr/share/gems/gems/mixlib-config-1.1.2/features/step_definitions/mixlib_config_steps.rb
2 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-mixlib-config-doc (rpmlib, GLIBC filtered):
    rubygem-mixlib-config

rubygem-mixlib-config (rpmlib, GLIBC filtered):
    ruby(abi)
    ruby(rubygems)



Provides
--------
rubygem-mixlib-config-doc:
    rubygem-mixlib-config-doc

rubygem-mixlib-config:
    rubygem(mixlib-config)
    rubygem-mixlib-config



MD5-sum check
-------------
http://gems.rubyforge.org/gems/mixlib-config-1.1.2.gem :
  CHECKSUM(SHA256) this package     : 2be6228827c4f11c45901c4c83c0efaef95f7c7866c7fcb9a5f23fcca1e74ca2
  CHECKSUM(SHA256) upstream package : 2be6228827c4f11c45901c4c83c0efaef95f7c7866c7fcb9a5f23fcca1e74ca2


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -m fedora-18-x86_64 -b 823334
Comment 4 Julian C. Dunn 2012-12-30 18:51:19 EST
Yes, I will document it. Thanks Michael.
Comment 5 Julian C. Dunn 2012-12-30 18:52:48 EST
New Package SCM Request
=======================
Package Name: rubygem-mixlib-config
Short Description: Class-based config mixin for Ruby scripts
Owners: jdunn
Branches: f16 f17 f18 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-01-01 15:46:37 EST
Unretired, submit Package Change for additional branches.
Comment 7 Julian C. Dunn 2013-01-01 20:23:52 EST
Package Change Request
======================
Package Name: rubygem-mixlib-config
New Branches: f16 f17 f18
Owners: jdunn
InitialCC:
Comment 8 Gwyn Ciesla 2013-01-02 07:32:37 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-01-13 17:03:04 EST
rubygem-mixlib-config-1.1.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-mixlib-config-1.1.2-2.fc18
Comment 10 Fedora Update System 2013-01-13 17:06:20 EST
rubygem-mixlib-config-1.1.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-mixlib-config-1.1.2-2.fc17
Comment 11 Fedora Update System 2013-01-13 22:32:53 EST
rubygem-mixlib-config-1.1.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-mixlib-config-1.1.2-3.fc16
Comment 12 Fedora Update System 2013-01-13 23:11:20 EST
rubygem-mixlib-config-1.1.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-mixlib-config-1.1.2-3.fc18
Comment 13 Fedora Update System 2013-01-13 23:12:28 EST
rubygem-mixlib-config-1.1.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-mixlib-config-1.1.2-3.fc17
Comment 14 Fedora Update System 2013-01-14 21:23:08 EST
rubygem-mixlib-config-1.1.2-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Fedora Update System 2013-01-23 11:06:37 EST
rubygem-mixlib-config-1.1.2-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 16 Fedora Update System 2013-01-23 11:09:39 EST
rubygem-mixlib-config-1.1.2-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-01-23 11:22:03 EST
rubygem-mixlib-config-1.1.2-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.